<template>
  <div
    v-scrollAnime
    :class="$vuetify.breakpoint.mdAndUp ? 'pl-6 pr-2' : 'pr-1 pl-1'"
  >
    <div
      :class="
        $vuetify.breakpoint.mdAndDown
          ? 'text-center home-description'
          : 'home-description'
      "
    >
      <h1>
        {{ $t('welcomeMessage') }}
      </h1>
      <h3>
        {{ $t('welcomeMessage2') }}
      </h3>
      <p>
        {{ $t('welcomeDescription') }}
      </p>
      <div class="action-home-button">
        <v-btn
          :class="
            $vuetify.breakpoint.xsOnly
              ? 'mb-3'
              : '' || $vuetify.breakpoint.smAndUp
              ? 'ml-3'
              : ''
          "
          large
          color="green"
          dark
          :to="localePath('ourworks')"
        >
          {{ $t('ourworks') }}
        </v-btn>
        <v-btn
          :class="$vuetify.breakpoint.xsOnly ? 'mb-3' : ''"
          large
          color="primary"
          dark
          :to="localePath('contact')"
        >
          {{ $t('callUs') }}
        </v-btn>
        <v-btn
          :class="
            $vuetify.breakpoint.xsOnly
              ? 'mb-3'
              : '' || $vuetify.breakpoint.smAndUp
              ? 'mr-3'
              : ''
          "
          large
          color="warning"
          dark
          :to="localePath('about')"
        >
          {{ $t('aboutUs') }}
        </v-btn>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HomeLead',
};
</script>

<style scoped lang="scss">
@media only screen and (min-width: 960px) {
  .before-enter {
    opacity: 0.2;
    transform: translateX(100px);
    transition: all 2s ease-out;
  }
  .enter {
    opacity: 1;
    transform: translateX(0px);
  }
}

.home-description {
  margin: 40px 0 0 0;
  h1 {
    margin-bottom: 24px;
    font-size: 2.9em;
    color: #473f7a;
    @media screen and (max-width: 960px) {
      text-align: center;
      font-size: 2.5em;
    }
  }
  h3 {
    margin-bottom: 24px;
    font-size: 1.5em;
    color: #8373e2;
    line-height: 1.8em;
    @media screen and (max-width: 960px) {
      text-align: center;
      font-size: 1.3em;
    }
  }
  p {
    line-height: 1.9em;
    margin: 24px 0 32px 0;
    font-size: 1.1em;
    color: #4e4e50;
    @media screen and (max-width: 960px) {
      text-align: center;
      font-size: 0.9em;
    }
  }
  .action-home-button {
    @media screen and (max-width: 960px) {
      text-align: center;
    }
  }
}
</style>
